Name: ultramarine-backgrounds
Version: %{fedora}
Release: 1%{?dist}
BuildArch: noarch
# details for the artworks' licenses can be seen in the COPYING file
License: CC-BY-SA and CC0
Summary: Ultramarine Linux backgrounds
Provides: desktop-backgrounds
# licensing information
Source0: COPYING

# CC0 artworks
Source100: blue-ocean.jpg
Source101: silhouette-of-mountain.jpg
Source102: by-ren-ran.jpg
Source420: 10_ultramarine-backgrounds.gnome.gschema.override
# CC-BY-SA artworks
Source200: star-trails.jpg

%description
This package contains desktop backgrounds for the Ultramarine Linux default theme.

%package    basic
Summary:    Ultramarine Linux backgrounds
Provides:   ultramarine-backgrounds = %{version}-%{release}
Obsoletes:   ultramarine-backgrounds < %{version}-%{release}

%description    basic
The desktop-backgrounds-basic package contains artwork intended to be used as
desktop background image.



%package        gnome
Summary:        The default Fedora wallpaper from GNOME desktop
Requires:       ultramarine-backgrounds-basic
# starting with this release, gnome uses picture-uri instead of picture-filename
# see gnome bz #633983
Requires:       gsettings-desktop-schemas >= 2.91.92
Provides:       system-backgrounds-gnome = %{version}-%{release}
License:        CC0

%description    gnome
The desktop-backgrounds-gnome package sets default background in GNOME-based desktops


%package        cutefish
Summary:        The default Ultramarine Wallpaper for Cutefish
Requires:       ultramarine-backgrounds-basic
Requires:       gsettings-desktop-schemas >= 2.91.92
Provides:       system-backgrounds-cutefish = %{version}-%{release}
License:        CC0
 
%description    cutefish
The default Ultramarine Wallpaper configs for Cutefish Desktop

%package        cyber
Summary:        The default Ultramarine Wallpaper for Cyber
Requires:       ultramarine-backgrounds-basic
Requires:       gsettings-desktop-schemas >= 2.91.92
Provides:       system-backgrounds-cyber = %{version}-%{release}
License:        CC0
 
%description    cyber
The default Ultramarine Wallpaper configs for Cyber Desktop

%prep

%build

%install
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}/
cp -v %{SOURCE0} %{buildroot}/%{_datadir}/licenses/%{name}/

mkdir -p %{buildroot}/%{_datadir}/backgrounds/ultramarine-linux/default
cp -v %{SOURCE100} %{buildroot}/%{_datadir}/backgrounds/ultramarine-linux/default/
cp -v %{SOURCE101} %{buildroot}/%{_datadir}/backgrounds/ultramarine-linux/
cp -v %{SOURCE102} %{buildroot}/%{_datadir}/backgrounds/ultramarine-linux/
cp -v %{SOURCE200} %{buildroot}/%{_datadir}/backgrounds/ultramarine-linux/
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas/
install %{SOURCE420} %{buildroot}/%{_datadir}/glib-2.0/schemas/

%files
%license COPYING

%files basic
%dir %{_datadir}/backgrounds/ultramarine-linux/
%{_datadir}/backgrounds/ultramarine-linux/

%files gnome
%{_datadir}/glib-2.0/schemas/10_ultramarine-backgrounds.gnome.gschema.override